os_type(3)

NAME
os_type

SYNOPSIS
#include <allegro.h>

extern int os_type;

DESCRIPTION
Set by allegro_init() to one of the values:
   OSTYPE_UNKNOWN    - unknown, or regular MSDOS
   OSTYPE_WIN3       - Windows 3.1 or earlier
   OSTYPE_WIN95      - Windows 95
   OSTYPE_WIN98      - Windows 98
   OSTYPE_WINME      - Windows ME
   OSTYPE_WINNT      - Windows NT
   OSTYPE_WIN2000    - Windows 2000
   OSTYPE_WINXP      - Windows XP
   OSTYPE_OS2        - OS/2
   OSTYPE_WARP       - OS/2 Warp 3
   OSTYPE_DOSEMU     - Linux DOSEMU
   OSTYPE_OPENDOS    - Caldera OpenDOS
   OSTYPE_LINUX      - Linux
   OSTYPE_SUNOS      - SunOS/Solaris
   OSTYPE_FREEBSD    - FreeBSD
   OSTYPE_NETBSD     - NetBSD
   OSTYPE_IRIX       - IRIX
   OSTYPE_DARWIN     - Darwin
   OSTYPE_QNX        - QNX
   OSTYPE_UNIX       - Unknown Unix variant
   OSTYPE_BEOS       - BeOS
   OSTYPE_MACOS      - MacOS
   OSTYPE_MACOSX     - MacOS X

SEE ALSO
allegro_init(3), os_version(3), os_multitasking(3)